> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List self-healing repair episodes



## OpenAPI

````yaml /api-reference/workflows.yaml get /flows/{flowId}/repairs
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /flows/{flowId}/repairs:
    get:
      tags:
        - Flows
      summary: List self-healing repair episodes
      operationId: listWorkflowRepairs
      parameters:
        - in: path
          name: flowId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/WorkflowRepairEpisode'
                    type: array
                required:
                  - data
                type: object
          description: Workflow repair episodes
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Not Found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.workflows.flows.listRepairs('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.workflows.flows.list_repairs(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
components:
  schemas:
    WorkflowRepairEpisode:
      properties:
        agentRunId:
          type:
            - string
            - 'null'
        attempt:
          exclusiveMinimum: 0
          type: integer
        candidateSlug:
          type: string
        chatSessionId:
          format: uuid
          type:
            - string
            - 'null'
        createdAt:
          type:
            - string
            - 'null'
        deviceId:
          format: uuid
          type:
            - string
            - 'null'
        episode:
          exclusiveMinimum: 0
          type: integer
        error:
          type:
            - string
            - 'null'
        failedStepIndex:
          minimum: 0
          type: integer
        finishedAt:
          type:
            - string
            - 'null'
        flowId:
          format: uuid
          type: string
        id:
          format: uuid
          type: string
        maxAttempts:
          exclusiveMinimum: 0
          type: integer
        originalSlug:
          type: string
        sourceExecutionId:
          format: uuid
          type: string
        startedAt:
          type:
            - string
            - 'null'
        status:
          enum:
            - pending
            - running
            - canary
            - promoting
            - repaired
            - failed
            - escalated
          type: string
        updatedAt:
          type:
            - string
            - 'null'
        verdict:
          properties:
            outcome:
              enum:
                - ok
                - flaky
                - broken
              type: string
            reason:
              type: string
            summary:
              type: string
          required:
            - outcome
            - summary
          type:
            - object
            - 'null'
      required:
        - id
        - flowId
        - sourceExecutionId
        - deviceId
        - episode
        - failedStepIndex
        - attempt
        - maxAttempts
        - status
        - originalSlug
        - candidateSlug
        - agentRunId
        - chatSessionId
        - verdict
        - error
        - startedAt
        - finishedAt
        - createdAt
        - updatedAt
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````